kwin-tiling
===========

Tiling script for kwin, based on Mathias Gottschlag's version (https://github.com/mgottschlag/kwin-tiling).

Features:
-------

- Support for minimizing and unminimizing windows

- Support for setting windows to floating or quitting tiling altogether, per-desktop (Meta+Shift+F11)

- Support for a list of ignored windows in configuration

- Three layouts (the default being properly tested)

- Mouse resizing for two of the layouts

- Useractionsmenu and keybinding (Meta+f) for toggling tiling/floating

- An option to turn off borders for tiled windows

- An option to start windows at the master position (like in xmonad)

- Many bugfixes

Installation:
-------------

    git clone https://github.com/faho/kwin-tiling.git
    cd kwin-tiling/
    plasmapkg --type kwinscript -i .

Things that are not working properly yet:
-------

- Activities aren't handled at all

- BUUUGS
